Summary:	GSSAPI interface using mechanisms from other GSSAPI implementations
Summary(pl.UTF-8):	Interfejs GSSAPI używający mechanizmów z innych implementacji GSSAPI
Name:		libgssglue
Version:	0.4
Release:	1
License:	BSD/MIT
Group:		Libraries
Source0:	http://www.citi.umich.edu/projects/nfsv4/linux/libgssglue/%{name}-%{version}.tar.gz
# Source0-md5:	088797f3180702fa54e786496b32e750
Patch0:		%{name}-soname.patch
URL:		http://www.citi.umich.edu/projects/nfsv4/linux/
Obsoletes:	libgssapi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
This library exports a GSSAPI interface, but doesn't implement any
GSSAPI mechanisms itself; instead it calls GSSAPI routines in other
libraries, depending on the mechanism.

%description -l pl.UTF-8
Ta biblioteka eksportuje interfejs GSSAPI, ale sama nie implementuje
żadnego mechanizmu GSSAPI - zamiast tego wywołuje funkcje GSSAPI z
innych bibliotek, w zależności od mechanizmu.

%package devel
Summary:	Development files for libgssglue library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki libgssglue
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libgssapi-devel

%description devel
Development files for libgssglue library.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki libgssglue.

%package static
Summary:	Static libgssglue library
Summary(pl.UTF-8):	Statyczna biblioteka libgssglue
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libgssapi-static

%description static
Static libgssglue library.

%description static -l pl.UTF-8
Statyczna biblioteka libgssglue.

%prep
%setup -q
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/%{_lib}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

sed -e 's|/lib/|/%{_lib}/|g' doc/gssapi_mech.conf > $RPM_BUILD_ROOT%{_sysconfdir}/gssapi_mech.conf

mv -f $RPM_BUILD_ROOT%{_libdir}/lib*.so.* $RPM_BUILD_ROOT/%{_lib}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/lib*.so
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/lib*.so.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libgssglue.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) /%{_lib}/libgssglue.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libgssglue.so.1
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gssapi_mech.conf

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgssglue.so
%{_libdir}/libgssglue.la
%{_includedir}/gssglue
%{_pkgconfigdir}/libgssglue.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgssglue.a
%changelog
* Sun Apr 28 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgssglue.git;a=log;h=master

* Fri May 11 2012 Jakub Bogusz <qboosh@pld-linux.org> 6c5d463
- updated to 0.4 (fixes CVE-2011-2709)

* Sat Jun 25 2011 Jakub Bogusz <qboosh@pld-linux.org> 06b921e
- updated to 0.3

* Fri Mar 18 2011 Jakub Bogusz <qboosh@pld-linux.org> bc64da6
- updated to 0.2

* Sat Nov 28 2009 sparky <sparky@pld-linux.org> 928107d
- %undefine __cxx - to prevent configure from looking for c++ compiler

* Thu Jan 01 2009 Jan Rękorajski <baggins@pld-linux.org> d453e84
- rel 2
- fixed b0rken sed expression

* Mon Nov 17 2008 Elan Ruusamäe <glen@pld-linux.org> a3f8d3e
- symlink cosmetic

* Wed Sep 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 4f88cd3
- package obsolete

* Wed Sep 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 64fc466
- license is BSD (for UM code) and MIT (for Sun and MIT code)

* Wed Sep 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 721ecee
- updated libgssapi to libgssglue 0.1 (now supports heimdal, lib name conflict is gone)

* Sun Apr 29 2007 Jakub Bogusz <qboosh@pld-linux.org> 4489d60
- removed unused BRs

* Tue Apr 24 2007 Jan Rękorajski <baggins@pld-linux.org> 23baea0
- up to 0.11
- moved library to /lib (needed for libtirpc/rpcbind)

* Fri Mar 30 2007 Jan Rękorajski <baggins@pld-linux.org> aacee1a
- create sysconfdir

* Fri Mar 30 2007 Jan Rękorajski <baggins@pld-linux.org> 86386d7
- fix config file

* Fri Mar 30 2007 Jan Rękorajski <baggins@pld-linux.org> 23efffc
- don't req krb5-devel package

* Fri Mar 30 2007 Jan Rękorajski <baggins@pld-linux.org> ee1dae7
- rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6ae47d1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9cdceaa
- converted to UTF-8

* Wed Jun 28 2006 Jakub Bogusz <qboosh@pld-linux.org> 6d54f05
- updated to 0.10

* Mon Apr 17 2006 Jakub Bogusz <qboosh@pld-linux.org> c4a676e
- updated to 0.9

* Thu Apr 06 2006 Jakub Bogusz <qboosh@pld-linux.org> 322db59
- updated to 0.8

